## org.eclipse.datatools.connectivity.ui.templates
Class AbstractConnectivityTemplateSection

    java.lang.Object
      org.eclipse.pde.ui.templates.AbstractTemplateSection
          org.eclipse.pde.ui.templates.BaseOptionTemplateSection
              org.eclipse.pde.ui.templates.OptionTemplateSection
                  org.eclipse.datatools.connectivity.ui.templates.AbstractConnectivityTemplateSection

All Implemented Interfaces:
  org.eclipse.pde.ui.templates.ITemplateSection, org.eclipse.pde.ui.templates.IVariableProvider

Direct Known Subclasses:
  ConnectionProfileTemplateSection, DriverTemplateSection, ProfileSampleTemplateSection

    public abstract class AbstractConnectivityTemplateSection

extends org.eclipse.pde.ui.templates.OptionTemplateSection

Abstract template section that provides many helper functions to other Connectivity PDE templates.

Author:
  brianf

Field Summary

Fields inherited from class org.eclipse.pde.ui.templates.AbstractTemplateSection
`KEY_ACTIVATOR_SIMPLE, KEY_PACKAGE_NAME, KEY_PLUGIN_CLASS, KEY_PLUGIN_ID, KEY_PLUGIN_NAME`

Constructor Summary
`AbstractConnectivityTemplateSection()`

Method Summary
`void` `addPages(org.eclipse.jface.wizard.Wizard wizard)`
`org.eclipse.pde.core.plugin.IPluginReference[]` `getDependencies()` Returns dependencies for the new plug-in
`java.lang.String[]` `getNewFiles()`
`void` `initializeFields(org.eclipse.pde.core.plugin.IPluginModelBase model)`
`void` `validateOptions(org.eclipse.pde.ui.templates.TemplateOption changedOption)`

Methods inherited from class org.eclipse.pde.ui.templates.OptionTemplateSection
`createPage, createPage, getDescription, getLabel, getOptions, getOptions, getPage, getPageCount, getPageIndex, getSectionId, getTemplateLocation, setPageCount`

Methods inherited from class org.eclipse.pde.ui.templates.BaseOptionTemplateSection
`execute, getBooleanOption, getReplacementString, getStringOption, getValue, isDependentOnParentWizard, setOptionEnabled`

Methods inherited from class org.eclipse.pde.ui.templates.AbstractTemplateSection
`getDependencies, getNumberOfWorkUnits, getPagesAdded, getPluginResourceString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.pde.ui.templates.ITemplateSection
`getUsedExtensionPoint`

Constructor Detail

### AbstractConnectivityTemplateSection

    public AbstractConnectivityTemplateSection()

Method Detail

### getNewFiles

    public java.lang.String[] getNewFiles()

### initializeFields

    public void initializeFields(org.eclipse.pde.core.plugin.IPluginModelBase model)

  Overrides:
    `initializeFields` in class `org.eclipse.pde.ui.templates.BaseOptionTemplateSection`

### getDependencies

    public org.eclipse.pde.core.plugin.IPluginReference[] getDependencies()

  Returns dependencies for the new plug-in

  Returns:

### addPages

    public void addPages(org.eclipse.jface.wizard.Wizard wizard)

  Specified by:
    `addPages` in interface `org.eclipse.pde.ui.templates.ITemplateSection`
  Overrides:
    `addPages` in class `org.eclipse.pde.ui.templates.AbstractTemplateSection`

### validateOptions

    public void validateOptions(org.eclipse.pde.ui.templates.TemplateOption changedOption)

  Overrides:
    `validateOptions` in class `org.eclipse.pde.ui.templates.OptionTemplateSection`